Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005360 [JEDI VCL] 00 JVCL Components major always 2010-10-11 11:33 2012-02-29 16:55
Reporter ZENsan View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005360: JvDBGrid title colors are wrong when using Windows Classic theme on Windows XP/2003
Description JvDBGrid title colors are wrong when using Windows Classic theme on Windows XP/2003
Additional Information See attached image.
Tags No tags attached.
Attached Files png file icon untitled.PNG [^] (3,853 bytes) 2010-10-11 11:33

- Relationships

-  Notes
(0017874)
ZENsan (reporter)
2010-10-11 12:34

This was introduced with last revision.
(0018038)
obones (administrator)
2010-11-09 14:20

Could you try to find a solution?
(0018065)
ZENsan (reporter)
2010-11-09 16:33

I will try to check it again.. I just used the old version for my projects...
(0018161)
ZENsan (reporter)
2010-11-24 12:38

Line 2859 in JvDBGrid.pas
// {$IFDEF COMPILER14_UP}
// if not FixCell or (DrawingStyle = gdsClassic) then
// {$ENDIF COMPILER14_UP}
        begin
          if Brush.Style <> bsSolid then
            Brush.Style := bsSolid;
          FillRect(B);
        end;

I commented this check and it works fine. But I dont know why this check was there... So it will be good to check this place once more again.
(0018184)
AHUser (developer)
2010-11-27 17:27

Fixed in svn revision 12911.

- Issue History
Date Modified Username Field Change
2010-10-11 11:33 ZENsan New Issue
2010-10-11 11:33 ZENsan File Added: untitled.PNG
2010-10-11 12:34 ZENsan Note Added: 0017874
2010-11-09 14:20 obones Note Added: 0018038
2010-11-09 14:20 obones Status new => feedback
2010-11-09 16:33 ZENsan Note Added: 0018065
2010-11-24 12:38 ZENsan Note Added: 0018161
2010-11-27 17:27 AHUser Note Added: 0018184
2010-11-27 17:27 AHUser Status feedback => resolved
2010-11-27 17:27 AHUser Fixed in Version => Daily / SVN
2010-11-27 17:27 AHUser Resolution open => fixed
2010-11-27 17:27 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker